Get a resource
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/resource/{resourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Id: <tenant-id>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/resource/{resourceId}"
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tenant-Id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/resource/{resourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"resource_type": "s3",
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "DEFINED",
"bucket_name": "<string>",
"removal_policy": "DESTROY",
"auto_delete_objects": true,
"versioned": true,
"encryption": "UNENCRYPTED",
"block_public_access": "BLOCK_ALL",
"enforce_ssl": true,
"allowed_headers": [
"<string>"
],
"allowed_methods": [
"GET"
],
"allowed_origins": [
"<string>"
],
"default_root_object": "<string>",
"deletable": true,
"allow_cdn_access": true,
"stack_info": {
"bucket_name": "<string>",
"bucket_arn": "<string>",
"bucket_domain_name": "<string>",
"bucket_regional_domain": "<string>",
"bucket_website_url": "<string>",
"bucket_website_domain_name": "<string>",
"bucket_dual_stack_domain_name": "<string>",
"distribution_arn": "<string>",
"distribution_domain_name": "<string>",
"distribution_id": "<string>"
},
"month_cost": null
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Resources
Get a resource
GET
/
resource
/
{resourceId}
Get a resource
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Path Parameters
Resource identifier.
Response
OK
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
One of the resource-specific detail payloads (internal/app/resources).
models.ResourceType in paas-lib.
Available options:
s3, event_bus, lambda, api_gateway, cognito, cron, dynamodb, opensearch, pub_sub, parameter, secrets, postgres, role, ecs_image models.ResourceStatus (paas-lib).
Available options:
DEFINED, MODIFIED, DEPLOYED models.RemovalPolicy (paas-lib).
Available options:
DESTROY, RETAIN, SNAPSHOT, RETAIN_ON_UPDATE_OR_DELETE models.S3Encryption (paas-lib).
Available options:
UNENCRYPTED, S3_MANAGED, KMS_MANAGED, KMS, DSSE_MANAGED, DSSE models.S3BlockPublicAccess (paas-lib).
Available options:
BLOCK_ALL, BLOCK_ACLS models.S3AllowedMethods (paas-lib).
Available options:
GET, PUT, POST, DELETE, HEAD Show child attributes
Show child attributes